Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 201405-13 ] Pango: Multiple vulnerabilities
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1540

PostPosted: Sat May 17, 2014 9:26 pm    Post subject: [ GLSA 201405-13 ] Pango: Multiple vulnerabilities Reply with quote

Gentoo Linux Security Advisory

Title: Pango: Multiple vulnerabilities (GLSA 201405-13)
Severity: normal
Exploitable: local, remote
Date: May 17, 2014
Bug(s): #268976, #352087, #357067
ID: 201405-13

Synopsis

Multiple vulnerabilities have been found in Pango, the worst of
which allow execution of arbitrary code or Denial of Service.


Background

Pango is an internationalized text layout and rendering library

Affected Packages

Package: x11-libs/pango
Vulnerable: < 1.28.3-r1
Unaffected: >= 1.28.3-r1
Architectures: All supported architectures


Description

Multiple vulnerabilities have been discovered in Pango. Please review
the CVE identifiers referenced below for details.


Impact

A context-dependent attacker could entice a user to load specially
crafted text using an application linked against Pango, possibly
resulting in execution of arbitrary code with the privileges of the
process or a Denial of Service condition.


Workaround

There is no known workaround at this time.

Resolution

All Pango users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=x11-libs/pango-1.28.3-r1"
   
Packages which depend on this library may need to be recompiled. Tools
such as revdep-rebuild may assist in identifying some of these packages.
NOTE: This is a legacy GLSA. Updates for all affected architectures are
available since March 18, 2011. It is likely that your system is already
no longer affected by this issue.


References

CVE-2009-1194
CVE-2009-2468
CVE-2011-0020
CVE-2011-0064
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum